<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DFIN XBRL Instance Document - http://www.dfinsolutions.com/ - Version R3.0 - on 14-April-2026 [06:33:03] {PM}-->
<schema targetNamespace="http://www.martinmarietta.com/20251231" elementFormDefault="qualified" xmlns:mlm="http://www.martinmarietta.com/20251231" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:us-gaap="http://fasb.org/us-gaap/2025" xmlns:country="http://xbrl.sec.gov/country/2025" xmlns:dei="http://xbrl.sec.gov/dei/2025" xmlns:us-types="http://fasb.org/us-types/2025" xmlns:deprecated="http://www.xbrl.org/2009/arcrole/fact-explanatoryFact" xmlns:srt="http://fasb.org/srt/2025" xmlns:srt-types="http://fasb.org/srt-types/2025" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31">
  <annotation>
    <appinfo>
      <link:linkbase id="lnk" >
        <link:roleRef xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpDisclosure" roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"  />
        <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"  />
        <link:presentationLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" >
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PayVsPerformanceDisclosureLineItems" xlink:label="loc_ecd_PayVsPerformanceDisclosureLineItems_134476856" />
          <link:loc xlink:type="locator" xlink:href="mlm-20251231.xsd#mlm_StockPrice" xlink:label="loc_MLM_StockPrice_134476849" />
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_PayVsPerformanceDisclosureLineItems_134476856" xlink:to="loc_MLM_StockPrice_134476849" order="100" preferredLabel="http://www.xbrl.org/2003/role/label" />
        </link:presentationLink>
        <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link" >
          <link:loc xlink:type="locator" xlink:href="mlm-20251231.xsd#mlm_StockPrice" xlink:label="loc_mlm_StockPrice" />
          <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_mlm_StockPrice" xml:lang="en-US">Stock Price</link:label>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_mlm_StockPrice" xlink:to="lab_mlm_StockPrice" />
          <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_mlm_StockPrice" xml:lang="en-US">Stock price.</link:label>
        </link:labelLink>
      </link:linkbase>
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <import namespace="http://xbrl.sec.gov/dei/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd" />
  <import namespace="http://xbrl.sec.gov/dei-sub/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-sub-2025.xsd" />
  <import namespace="http://www.xbrl.org/dtr/type/2024-01-31" schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd" />
  <import namespace="http://fasb.org/srt/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-2025.xsd" />
  <import namespace="http://fasb.org/srt-types/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-types-2025.xsd" />
  <import namespace="http://xbrl.sec.gov/ecd-sub/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-sub-2025.xsd" />
  <import namespace="http://xbrl.sec.gov/ecd/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd" />
  <import namespace="http://www.xbrl.org/2006/ref" schemaLocation="http://www.xbrl.org/2006/ref-2006-02-27.xsd" />
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <import namespace="http://fasb.org/srt-roles/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-roles-2025.xsd" />
  <element name="PayVsPerformanceDisclosureAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="mlm_PayVsPerformanceDisclosureAbstract" substitutionGroup="xbrli:item" />
  <element name="StockPrice" type="dtr-types:perShareItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="mlm_StockPrice" substitutionGroup="xbrli:item" />
  <element name="InsiderTradingPoliciesAndProceduresAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="mlm_InsiderTradingPoliciesAndProceduresAbstract" substitutionGroup="xbrli:item" />
  <element name="AwardTimingDisclosuresAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="mlm_AwardTimingDisclosuresAbstract" substitutionGroup="xbrli:item" />
</schema>